Personal Account
curl --request POST \
--url https://devapi.withedge.co/gateway/api/v1/account/bank/create/personal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'requestId: <requestid>' \
--data '
{
"customerId": "<string>",
"type": "<string>"
}
'import requests
url = "https://devapi.withedge.co/gateway/api/v1/account/bank/create/personal"
payload = {
"customerId": "<string>",
"type": "<string>"
}
headers = {
"requestId": "<requestid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
requestId: '<requestid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({customerId: '<string>', type: '<string>'})
};
fetch('https://devapi.withedge.co/gateway/api/v1/account/bank/create/personal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 00,
"message": "Account successfully created",
"data": {
"accountNumber": "1951145523",
"accountName": "Tony Stark"
},
"errors": []
}
Open Bank Accounts
Personal Account
Use this endpoint to create a personal bank account for individual customers. You can specify the account type or let it default to savings.
POST
/
account
/
bank
/
create
/
personal
Personal Account
Create Personal Account
This endpoint is used to create personal bank accounts for customers on the Edge platform. You can specify the account type and provide the customer details required for the account creation process.Request Parameters
string
required
A unique identifier for the request, used for idempotency.
Example:
Example:
e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9string
required
The unique identifier for the customer on the Edge platform. This ID is required to specify the customer involved in the request.
Example:
Example:
CUS1234567890string
Specifies the type of account to be created. If not provided, a savings account will be created by default.
Example:
Example:
savings or currentAdditional Information
- If no type is specified, a Savings account will be created by default.
- If ‘current’ is specified as the type, the account creation will only be successful if the customer has been KYCed up to Tier 2.
{
"statusCode": 00,
"message": "Account successfully created",
"data": {
"accountNumber": "1951145523",
"accountName": "Tony Stark"
},
"errors": []
}
Was this page helpful?
⌘I